networks:
  niftsy_backend:
    external: true
    name: niftsy_niftsy_backend

services:
  nginx-drupal-service:
    image: nginx:latest
    container_name: nginx-drupal
    volumes:
      - ./drupal-data:/var/www/html:ro
      - ./nginx_template:/etc/nginx/templates
    restart: always
    env_file: ./.env.stage
    networks:
      - niftsy_backend
    depends_on:
        - drupal-service
  
  drupal-service:
    image: drupal:10-fpm
    container_name: drupal
    networks:
      - niftsy_backend
    volumes:
      - ./drupal-data:/var/www/html
    restart: always
    env_file: ./.env.stage
